package function.builtin.special;

import function.*;
import sexpression.*;

@FunctionNames({ "DEFINE-SPECIAL" })
public class DEFINE_SPECIAL extends Define {

    public DEFINE_SPECIAL(String name) {
        super(name);
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedSpecialFunction(functionName.toString(), lambdaList, functionBody);
    }

}
